> ## Documentation Index
> Fetch the complete documentation index at: https://docs.1px.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# list files

> returns all files uploaded by the authenticated user.



## OpenAPI

````yaml /api-reference/openapi.json get /file
openapi: 3.1.0
info:
  title: 1px API
  description: minimalistic tools for the web.
  version: 1.0.0
  contact:
    name: 1px
    url: https://1px.ch
servers:
  - url: https://api.1px.ch
    description: production
security:
  - bearerAuth: []
paths:
  /file:
    get:
      summary: list files
      description: returns all files uploaded by the authenticated user.
      operationId: listFiles
      responses:
        '200':
          description: list of files
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FileItem'
        '401':
          description: missing or invalid api key
        '429':
          description: rate limited
components:
  schemas:
    FileItem:
      type: object
      properties:
        id:
          type: string
          example: abc123
        content:
          type: string
          example: abc123.jpg
        size:
          type: integer
          example: 12345
        created_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: your 1px api key. get one from /dashboard/api

````